package com.microservices.dms.behaviorImage.domain;

import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 画像行为权重对象 behavior_image_weight
 * 
 * @author microservices
 * @date 2025-04-23
 */
public class BehaviorImageWeight extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 行为编码 */
    @Excel(name = "行为编码")
    private String behaviorCode;

    /** 画像分类 */
    @Excel(name = "画像分类")
    private String imageType;

    /** 行为名称 */
    @Excel(name = "行为名称")
    private String behaviorName;

    /** 行为权重 */
    @Excel(name = "行为权重")
    private String behaviorWeight;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBehaviorCode(String behaviorCode) 
    {
        this.behaviorCode = behaviorCode;
    }

    public String getBehaviorCode() 
    {
        return behaviorCode;
    }
    public void setImageType(String imageType) 
    {
        this.imageType = imageType;
    }

    public String getImageType() 
    {
        return imageType;
    }
    public void setBehaviorName(String behaviorName) 
    {
        this.behaviorName = behaviorName;
    }

    public String getBehaviorName() 
    {
        return behaviorName;
    }
    public void setBehaviorWeight(String behaviorWeight) 
    {
        this.behaviorWeight = behaviorWeight;
    }

    public String getBehaviorWeight() 
    {
        return behaviorWeight;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("behaviorCode", getBehaviorCode())
            .append("imageType", getImageType())
            .append("behaviorName", getBehaviorName())
            .append("behaviorWeight", getBehaviorWeight())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
